package applicationLogic;

/**
 * The Class Bungalow.
 */
public class Bungalow extends Building {
	
	/** The internet. */
	private boolean internet;
	
	/**
	 * Instantiates a new bungalow.
	 *
	 * @param housingSpace the housing space
	 * @param adr the adr
	 * @param numberOfRooms the number of rooms
	 * @param internet the internet
	 */
	public Bungalow(float housingSpace, Adress adr, int numberOfRooms, boolean internet)
	{
		super(housingSpace, adr, numberOfRooms);
		this.internet = internet;
	}

	/**
	 * Checks for internet.
	 *
	 * @return true, if successful
	 */
	public boolean hasInternet() {
		return internet;
	}

	/**
	 * Sets the internet.
	 *
	 * @param internet the new internet
	 */
	public void setInternet(boolean internet) {
		this.internet = internet;
	}

	/* (non-Javadoc)
	 * @see applicationLogic.Building#toString()
	 */
	public String toString()
	{
		String hasInternet = (internet == true) ? "yes" : "no";
		return super.toString() + ", internet: + " + hasInternet;
	}
}
