package applicationLogic;

/**
 * The Class Room.
 */
public class Room extends Accomodation {

	/** The room number. */
	private int roomNumber;
	
	/**
	 * Instantiates a new room.
	 *
	 * @param housingSpace the housing space
	 * @param adr the adr
	 * @param roomNumber the room number
	 */
	public Room(float housingSpace, Adress adr, int roomNumber) {
		super(housingSpace, adr);
		this.roomNumber = roomNumber;
	}

	/**
	 * Gets the room number.
	 *
	 * @return the room number
	 */
	public int getRoomNumber() {
		return roomNumber;
	}

	/**
	 * Sets the room number.
	 *
	 * @param roomNumber the new room number
	 */
	public void setRoomNumber(int roomNumber) {
		this.roomNumber = roomNumber;
	}

	/* (non-Javadoc)
	 * @see applicationLogic.Accomodation#toString()
	 */
	public String toString()
	{
		return super.toString() + ", roomnumber: " + roomNumber;
	}

}
