package applicationLogic;

/**
 * The Class Accomodation.
 */
public abstract class Accomodation {
	
	/** The global id. */
	private static int globalID = 0;
	
	/** The id. */
	private int id;
	
	/** The housing space. */
	private float housingSpace;
	
	/** The adr. */
	private Adress adr;
	
	
	
	/**
	 * Instantiates a new accomodation.
	 *
	 * @param housingSpace the housing space
	 * @param adr the adr
	 */
	public Accomodation(float housingSpace, Adress adr)
	{
		id = Accomodation.globalID;
		Accomodation.globalID++;
		this.housingSpace = housingSpace;
		this.adr = adr;
	}
	
	/**
	 * Gets the global id.
	 *
	 * @return the global id
	 */
	public static int getGlobalID() {
		return globalID;
	}
	
	/**
	 * Gets the id.
	 *
	 * @return the id
	 */
	public int getId() {
		return id;
	}
	
	/**
	 * Sets the id.
	 *
	 * @param id the new id
	 */
	public void setId(int id) {
		this.id = id;
	}
	
	/**
	 * Gets the housing space.
	 *
	 * @return the housing space
	 */
	public float getHousingSpace() {
		return housingSpace;
	}

	/**
	 * Sets the housing space.
	 *
	 * @param housingSpace the new housing space
	 */
	public void setHousingSpace(float housingSpace) {
		this.housingSpace = housingSpace;
	}

	/**
	 * Gets the adr.
	 *
	 * @return the adr
	 */
	public Adress getAdr() {
		return adr;
	}
	
	/**
	 * Sets the adress.
	 *
	 * @param adress the new adress
	 */
	public void setAdress(Adress adress) {
		this.adr = adress;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString()
	{
		return "ID: " + id + ", Type: " + this.getClass().getSimpleName() +", Adress: " + adr.toString() + ", housing Space: " + housingSpace;
	}
	
	
}
