package applicationLogic;

/**
 * The Class Adress.
 */
public class Adress {
	
	/** The street. */
	private String street;
	
	/** The housenumber. */
	private int housenumber;
	
	/** The zip. */
	private int zip;
	
	/** The city. */
	private String city;
	
	/**
	 * Instantiates a new adress.
	 *
	 * @param street the street
	 * @param housenumber the housenumber
	 * @param zip the zip
	 * @param city the city
	 */
	public Adress(String street, int housenumber, int zip, String city)
	{
		this.street = street;
		this.housenumber = housenumber;
		this.zip = zip;
		this.city = city;
	}
	
	
	/**
	 * Gets the street.
	 *
	 * @return the street
	 */
	public String getStreet() {
		return street;
	}
	
	/**
	 * Sets the street.
	 *
	 * @param street the new street
	 */
	public void setStreet(String street) {
		this.street = street;
	}
	
	/**
	 * Gets the housenumber.
	 *
	 * @return the housenumber
	 */
	public int getHousenumber() {
		return housenumber;
	}
	
	/**
	 * Sets the housenumber.
	 *
	 * @param housenumber the new housenumber
	 */
	public void setHousenumber(int housenumber) {
		this.housenumber = housenumber;
	}
	
	/**
	 * Gets the zip.
	 *
	 * @return the zip
	 */
	public int getZip() {
		return zip;
	}
	
	/**
	 * Sets the zip.
	 *
	 * @param zip the new zip
	 */
	public void setZip(int zip) {
		this.zip = zip;
	}
	
	/**
	 * Gets the city.
	 *
	 * @return the city
	 */
	public String getCity() {
		return city;
	}
	
	/**
	 * Sets the city.
	 *
	 * @param city the new city
	 */
	public void setCity(String city) {
		this.city = city;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString()
	{
		return street + " " + housenumber + ", " + zip + " " + city;
	}
}
